Bug 1055026 - Lacking Menu Icon and touch screen, Scroll Feature
Summary: Lacking Menu Icon and touch screen, Scroll Feature
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 04:48 UTC by Eloe Eem
Modified: 2015-06-29 14:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:33:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Eloe Eem 2014-01-18 04:48:57 UTC
Easy way to make gdm user friendly for tablets and small devices: 

Future Feature Suggestion for Gnome default display manager.

1. Not a bug, but definitely a very simple software enhancement that will make the default gdm environment more user-friendly for Windows-oriented users.

In order to view program icons, one must click on the ACTIVITIES link in the top, left corner of the desktop.

Enhance this: add left-edge touchscreen recognition, and mouse click recognition, to the entire left edge, so that all program icons expand to fill the screen. This would open a side-scrolling display of all program icons that can be finger scrolled SIDEWAYS like on android or a M$oft 8.1 Metro screen.

short-stroke from screen left edge ==> open program icon slideout.
long-stroke from screen left edge ==> cycle through open applications, like ALT+TAB.

short-stroke from screen right edge, automatically open settings panel.
long-stroke from screen right edge, cycle through open apps in the opposite order.

Intiuitive mousepad or touchpad options should emulate the touchscreen functions.


This suggestion continues the trend of making gnome friendly for devices, tablets, and touch-screens.

Comment 1 Fedora End Of Life 2015-05-29 10:33:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 14:33:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.